Method: projects.locations.producerExtensions.create

Creates a new ProducerExtension resource in a given project and location.

HTTP request

POST https://networkservices.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/producerExtensions

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource of the ProducerExtension resource. Must be in the format projects/{project}/locations/{location}.

Query parameters

Parameters
producerExtensionId

string

Required. The short name of the ProducerExtension resource to be created.

Request body

The request body contains an instance of ProducerExtension.

Response body

If successful, the response body contains a newly created instance of Operation.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • networkservices.producerExtensions.create

For more information, see the IAM documentation.